#
# spec file for package php5-pear-channel-symfony
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define peardir %(pear config-get php_dir 2> /dev/null)
%define pear_xmldir  /var/lib/pear

Name:           php5-pear-channel-symfony
Version:        1.0
Release:        18.1
Summary:        Adds pear.symfony-project.com channel to PEAR
License:        MIT
Group:          Development/Languages
Url:            http://pear.symfony-project.com/
Source0:        http://pear.symfony-project.com/channel.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  php-pear
Requires:       php-pear

%description
This package adds the pear.symfony-project.com channel which allows PEAR packages
from this channel to be installed.


%prep
%setup -q -c -T

%build
# Empty build section, nothing to build

%install

%{__mkdir_p} %{buildroot}%{pear_xmldir}

%{__install} -pm 644 %{SOURCE0} %{buildroot}%{pear_xmldir}/pear.symfony-project.com.xml

%clean

%{__rm} -rf %{buildroot}

%post
if [ $1 -eq  1 ] ; then
   pear channel-add %{pear_xmldir}/pear.symfony-project.com.xml > /dev/null || :
else
   pear channel-update %{pear_xmldir}/pear.symfony-project.com.xml > /dev/null ||:
fi

%postun

if [ $1 -eq 0 ] ; then
   pear channel-delete pear.symfony-project.com > /dev/null || :
fi

%files
%defattr(-,root,root,-)
%{pear_xmldir}/*

%changelog
* Mon May 20 2013 jweberhofer@weberhofer.at
- Removed unneccesary dependency to php
* Tue Nov 27 2012 Ralf Lang <lang@b1-systems.de>
- SLE11 compatible dependency renaming
* Wed Aug 31 2011 lang@b1-systems.de
- updated the channel file
- added a changelog
